# hpr_generator

Static web page generator for the Hacker Public Radio website.

## Installation
Steps necessary to install this generator locally:
* Clone or download this repository
* Install the needed Perl modules using your preferred method (distribution
  packages, CPAN, etc.)

## Usage
The following utilities are provided to support the process of
generating the website:
    * `utils/update-hpr-db.sh` - Download the database and transform it
      into the hpr.db SQLite database.
    * `utils/update-hpr.sh` - Download HPR.sql and create the SQLite database
      using `update-hpr-db.sh`, then run `site-generator` to create the
      website.
    * `./site-generator` - Using the information in the templates
      directory and the show information in the database, generate the
      website. Without parameters, the whole site will be generated. 

If you need to generate specific pages (in this example, index and about):
    `site-generator index about`

Having downloaded the database, you can also regenerate the whole site:
    `site-generator --all`

Generate pages based on the same template:
`site-generator correspondent=1,3,5..10`
 
## More Information
* See the [Getting Started](GETTING_STARTED.md) tutorial for more details on
  installing and using the HPR generator.

## Support

Please [submit an Issue](https://repo.anhonesthost.net/HPR/hpr_generator/issues),
and add the label "**Help Request**" for help running or installing the site-generator.

For discussing HPR site generation in general, please [submit an Issue](https://repo.anhonesthost.net/HPR/hpr_generator/issues) and add the label "**General Discussion**".

## Contributing

Happy to take any contributions or suggestions.

To contribute code or documentation, please create a fork of the project and [submit a pull request](https://repo.anhonesthost.net/HPR/hpr_generator/pulls) or send a patch. If an issue exists that is related to your patch, please assign the issue to yourself, or if it is already assigned to someone else, please coordinate with them to minimize duplicated efforts.

If you have found an error in the code or the generated HTML, please [submit an Issue](https://repo.anhonesthost.net/HPR/hpr_generator/issues),
and add the label "**Bug Found**".

To make a suggestion, please [submit an Issue](https://repo.anhonesthost.net/HPR/hpr_generator/issues),
and add the label "**Feature Request**".

## Authors and acknowledgment

* Roan "Rho`n" Horning
* Dave Morriss
* gordons
* Ken Fallon
* norrist
* Paul Jewell (paulj)

  
  
